Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.dmsadapter.intf
Interface DmsAdapter

All Superinterfaces:
  java.rmi.Remote

public interface DmsAdapter
extends java.rmi.Remote

This interface acts as a factory for DMS session objects. It creates and destroys these objects for the users who have successfully logged into the system through the DDFramework interface. The DDFramework interface uses this interface to manage DMSSessionObjects for the users.

Method Summary
`DmsSession` | `createDmsSession(long clientId, java.lang.String userId, java.lang.String password)` Creates and returns a DMSSession object for the specified user.
`void` | `destroyDmsSession(long clientId)` Deactivates and destroys a DMSSessionObject.
`boolean` | `isReady()` Returns the actual state of DMSAdapter.
`void` | `setDebugLevel(int level, java.lang.String name, java.lang.String adapter)` Sets the adapter debug level which influences the logging behaviour.

Method Detail

### createDmsSession

    public DmsSession createDmsSession(long clientId,
                                       java.lang.String userId,
                                       java.lang.String password)
                                throws java.rmi.RemoteException,
                                       DmsOperationFailed

  Creates and returns a DMSSession object for the specified user.

  Parameters:
    `clientId` - The value returned by a successful login method call on the DDFramework interface.
    `userId` - The login name of the user, this is used by the DMSSessionObject to organize the files that this user checks out for read and write.
    `password` - The password for the user specified by the userID.
  Returns:
    DmsSession The created DmsSession object for the specified user.
  Throws:
    `java.rmi.RemoteException`
    `DmsOperationFailed`

### destroyDmsSession

    public void destroyDmsSession(long clientId)
                           throws java.rmi.RemoteException,
                                  DmsOperationFailed

  Deactivates and destroys a DMSSessionObject.

  Parameters:
    `clientId` - The value returned by a successful login method call on the DDFramework interface.
  Throws:
    `java.rmi.RemoteException`
    `DmsOperationFailed`

### isReady

    public boolean isReady()
                    throws java.rmi.RemoteException,
                           DmsOperationFailed

  Returns the actual state of DMSAdapter.

  Returns:
    The method returns `true` if the DMSAdapter is ready to receive requests, `false` otherwise;
  Throws:
    `java.rmi.RemoteException`
    `DmsOperationFailed`

### setDebugLevel

    public void setDebugLevel(int level,
                              java.lang.String name,
                              java.lang.String adapter)
                       throws java.rmi.RemoteException

  Sets the adapter debug level which influences the logging behaviour. Possible values are -1, 0, 1 and 2. A greater value stands for a higher amount of logged comments. (-1 = Audit, 0 = Error, 1 = Warning, 2 = Info)

  Parameters:
    `level` - The value of the level-parameter describes the way the logging is done.
    `name` - Represents the name of the debug module.
    `adapter` - Names the adapter for debugging. The value should be "dmsAdapter".
  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD